# Installation
> `npm install --save @types/react-test-renderer`

# Summary
This package contains type definitions for react-test-renderer (https://facebook.github.io/react/).

# Details
Files were exported from https://github.com/DefinitelyTyped/DefinitelyTyped/tree/master/types/react-test-renderer/v15.
## [index.d.ts](https://github.com/DefinitelyTyped/DefinitelyTyped/tree/master/types/react-test-renderer/v15/index.d.ts)
````ts
import { ReactElement } from "react";

export interface ReactTestInstance {
    toJSON(): ReactTestRendererJSON;
    unmount(nextElement?: ReactElement): void;
    update(nextElement: ReactElement): void;
    getInstance(): any;
}
export interface ReactTestRendererJSON {
    type: string;
    props: { [propName: string]: any };
    children: null | Array<string | ReactTestRendererJSON>;
    $$typeof?: any;
}
export interface TestRendererOptions {
    createNodeMock(element: ReactElement): any;
}
// https://github.com/facebook/react/blob/master/src/renderers/testing/ReactTestMount.js#L155
export function create(nextElement: ReactElement, options?: TestRendererOptions): ReactTestInstance;

````

### Additional Details
 * Last updated: Wed, 18 Oct 2023 11:45:06 GMT
 * Dependencies: [@types/react](https://npmjs.com/package/@types/react)

# Credits
These definitions were written by [Arvitaly](https://github.com/arvitaly), [Lochbrunner](https://github.com/lochbrunner), [Lochbrunner](https://github.com/lochbrunner), and [John Reilly](https://github.com/johnnyreilly).
